# $Revision: 1.15 $, $Date: 2001/11/21 13:43:51 $
Summary:	Hash library 
Summary(pl):	Biblioteka funkcji mieszajcych
Name:		mhash
Version:	0.8.13
Release:	1
License:	LGPL
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦
Source0:	http://mhash.sourceforge.net/dl/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mhash is a library which provides a uniform interface to a large
number of hash algorithms. These algorithms can be used to compute
checksums, message digests, and other signatures. The HMAC support
implements the basics for message authentication, following RFC 2104.

%description -l pl
Mhash to biblioteka dostarczajca jednolity interfejs do duej liczby
algorytmw mieszajcych. Te algorytmy mog by uywane do liczenia sum
kontrolnych, oznacze komunikatw oraz innych sygnatur. Wsparcie dla
HMAC daje podstawy autentykacji komunikatw, zgodnie z RFC 2104.

%package devel
Summary:	Header files and development documentation for libmhash
Summary(pl):	Pliki nagwkowe i dokumentacja do libmhash
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libmhash.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do libmhash.

%package static
Summary:	Static version of libmhash 
Summary(pl):	Statyczna wersja biblioteki libmhash
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
Static version of libmhash.

%description static -l pl
Statyczna wersja libmhash.

%prep
%setup -q

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

gzip -9nf ChangeLog AUTHORS NEWS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz 
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mhash.spec,v $
Revision 1.15  2001/11/21 13:43:51  kloczek
- updated to 0.8.13.

Revision 1.14  2001/10/30 21:06:24  kloczek
- release 2.

Revision 1.13  2001/10/30 20:59:28  qboosh
- adapterized, pl descriptions

Revision 1.12  2001/10/29 20:51:13  kloczek
- updated to 0.8.12.

Revision 1.11  2001/07/17 17:14:00  kloczek
- typos.

Revision 1.10  2001/07/17 17:11:06  kloczek
- updated to 0.8.10,
- regenerate ac/am/lt files (spec is ac 2.50 ready).

Revision 1.9  2001/02/04 19:43:52  kloczek
- updated to 0.8.9.

Revision 1.8  2001/02/03 21:45:52  kloczek
- updated to 0.8.8.

Revision 1.7  2001/01/22 08:15:23  kloczek
- updated to 0.8.6,
- new Source url.

Revision 1.6  2000/11/10 20:43:21  kloczek
- updated to 0.8.3.

Revision 1.5  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.4  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/29 17:43:43  kloczek
- change package name to mhash,
- remove %%{_includedir} and %{mandir}/man3 directories from package (this
  is part of FHS).

Revision 1.1  2000/05/29 15:18:11  mis
- initial version, based on libmcrypt spec
